Anonymous | Login
Project:
RSS
  
News | My View | View Issues | Roadmap | Summary

View Issue DetailsJump to Notes ] Issue History ] Print ]
ID
0049011
TypeCategorySeverityReproducibilityDate SubmittedLast Update
defect[Openbravo ERP] A. Platformminorhave not tried2022-04-08 11:192022-05-13 14:08
ReporteralostaleView Statuspublic 
Assigned Tomeriem_azaf 
PrioritynormalResolutionopenFixed in Version
StatusscheduledFix in branchFixed in SCM revisionasdf
ProjectionnoneETAnoneTarget VersionPR22Q3
OSAnyDatabaseAnyJava version
OS VersionDatabase versionAnt version
Product VersionSCM revision 
Review Assigned To
Web browser
ModulesCore
Regression level
Regression date
Regression introduced in release
Regression introduced by commit
Triggers an Emergency PackNo
Summary

0049011: remove obsolete Translation Required field from Module window

DescriptionTranslation required field is present in Module window, it is never used so it could be removed.

Together with it there is a validation to ensure modules with "UI artifacts" mark this flag. This validation should also be removed as it provides no value.
Steps To Reproduce1. Create a module with the Translation Required flag unchecked
2. Create a new window for that module
3. Run validations
  -> It complains about that module not being marked as translation required
Proposed Solution1. Remove the field from Module window
2. Remove checkUIArtifacts from ModuleValidator [1]
3. Deprecate the column in AD
   We'll keep the column to prevent a formal change when exporting every module


[1] https://gitlab.com/openbravo/product/openbravo/-/blob/master/src/org/openbravo/service/system/ModuleValidator.java#L186 [^]
TagsNo tags attached.
Attached Files

- Relationships Relation Graph ] Dependency Graph ]
depends on backport 0049263PR22Q3 scheduledmeriem_azaf remove obsolete Translation Required field from Module window 
depends on backport 0049264PR22Q2.1 scheduledmeriem_azaf remove obsolete Translation Required field from Module window 
depends on backport 0049265PR22Q1.3 scheduledmeriem_azaf remove obsolete Translation Required field from Module window 
blocks design defect 0032688 acknowledgedTriage Platform Base remove unused resources 
Not all the children of this issue are yet resolved or closed.

-  Notes
(0137268)
hgbot (developer)
2022-05-13 14:08

Merge Request created: https://gitlab.com/openbravo/product/openbravo/-/merge_requests/597 [^]

- Issue History
Date Modified Username Field Change
2022-04-08 11:19 alostale New Issue
2022-04-08 11:19 alostale Assigned To => Triage Platform Base
2022-04-08 11:19 alostale Modules => Core
2022-04-08 11:19 alostale Triggers an Emergency Pack => No
2022-04-08 11:20 alostale Target Version => PR22Q3
2022-04-08 11:29 alostale Relationship added blocks 0032688
2022-04-11 12:48 AugustoMauch Assigned To Triage Platform Base => meriem_azaf
2022-04-11 12:48 AugustoMauch Status new => scheduled
2022-05-09 13:03 AugustoMauch Status scheduled => resolved
2022-05-09 13:03 AugustoMauch Fixed in SCM revision => asdf
2022-05-09 13:03 AugustoMauch Resolution open => fixed
2022-05-09 13:03 AugustoMauch Status resolved => new
2022-05-09 13:03 AugustoMauch Resolution fixed => open
2022-05-09 13:04 AugustoMauch Status new => scheduled
2022-05-13 14:08 hgbot Note Added: 0137268


Copyright © 2000 - 2009 MantisBT Group
Powered by Mantis Bugtracker